field_expr_v2_nonlinear_terminal_function< Function >
Inheritance diagram for field_expr_v2_nonlinear_terminal_function< Function >:

## Public Types

typedef field_expr_v2_nonlinear_terminal_function_rep< Function > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::memory_type | memory_type
typedef rep::result_type | result_type
typedef rep::argument_type | argument_type
typedef rep::value_type | value_type
typedef rep::scalar_type | scalar_type
typedef rep::float_type | float_type
Public Types inherited from smart_pointer< field_expr_v2_nonlinear_terminal_function_rep< Function > >
typedef field_expr_v2_nonlinear_terminal_function_rep< Function > | handled_type
typedef base::internal | internal

## Public Member Functions

| field_expr_v2_nonlinear_terminal_function (const Function &f)
template<class TrueFunction , class Sfinae = typename std::enable_if<std::is_function<TrueFunction>::value, TrueFunction>::type>
| field_expr_v2_nonlinear_terminal_function (TrueFunction f)
template<class Constant , class Sfinae = typename std::enable_if <is_field_expr_v2_constant<Constant>::value, Constant>::type>
| field_expr_v2_nonlinear_terminal_function (const Constant &c)
space_constant::valued_type | valued_tag () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< result_type, Eigen::Dynamic, 1 > &value) const
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_L, const geo_element &L, const side_information_type &sid, Eigen::Matrix< result_type, Eigen::Dynamic, 1 > &value) const
template<class Value >
bool | valued_check () const
Public Member Functions inherited from smart_pointer< field_expr_v2_nonlinear_terminal_function_rep< Function > >
| smart_pointer (field_expr_v2_nonlinear_terminal_function_rep< Function > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< field_expr_v2_nonlinear_terminal_function_rep< Function > > &x)
smart_pointer< field_expr_v2_nonlinear_terminal_function_rep< Function > > & | operator= (const smart_pointer< field_expr_v2_nonlinear_terminal_function_rep< Function > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< field_expr_v2_nonlinear_terminal_function_rep< Function >, details::constructor_copy< field_expr_v2_nonlinear_terminal_function_rep< Function > > >
| smart_pointer_base (field_expr_v2_nonlinear_terminal_function_rep< Function > *p=0)
| smart_pointer_base (const smart_pointer_base< field_expr_v2_nonlinear_terminal_function_rep< Function >, details::constructor_copy< field_expr_v2_nonlinear_terminal_function_rep< Function > > > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< field_expr_v2_nonlinear_terminal_function_rep< Function >, details::constructor_copy< field_expr_v2_nonlinear_terminal_function_rep< Function > > > & | operator= (const smart_pointer_base< field_expr_v2_nonlinear_terminal_function_rep< Function >, details::constructor_copy< field_expr_v2_nonlinear_terminal_function_rep< Function > > > &)
| ~smart_pointer_base ()
const field_expr_v2_nonlinear_terminal_function_rep< Function > * | pointer () const
field_expr_v2_nonlinear_terminal_function_rep< Function > * | pointer ()
const field_expr_v2_nonlinear_terminal_function_rep< Function > & | data () const
field_expr_v2_nonlinear_terminal_function_rep< Function > & | data ()
const field_expr_v2_nonlinear_terminal_function_rep< Function > * | operator-> () const
field_expr_v2_nonlinear_terminal_function_rep< Function > * | operator-> ()
const field_expr_v2_nonlinear_terminal_function_rep< Function > & | operator* () const
field_expr_v2_nonlinear_terminal_function_rep< Function > & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = rep::valued_hint

## Detailed Description

### template<class Function>
class rheolef::details::field_expr_v2_nonlinear_terminal_function< Function >

Definition at line 257 of file field_expr_terminal.h.

## Member Typedef Documentation

## rep

typedef field_expr_v2_nonlinear_terminal_function_rep<Function> rep

Definition at line 262 of file field_expr_terminal.h.

## base

typedef smart_pointer<rep> base

Definition at line 263 of file field_expr_terminal.h.

## size_type

typedef rep::size_type size_type

Definition at line 264 of file field_expr_terminal.h.

## memory_type

typedef rep::memory_type memory_type

Definition at line 265 of file field_expr_terminal.h.

## result_type

typedef rep::result_type result_type

Definition at line 266 of file field_expr_terminal.h.

## argument_type

typedef rep::argument_type argument_type

Definition at line 267 of file field_expr_terminal.h.

## value_type

typedef rep::value_type value_type

Definition at line 268 of file field_expr_terminal.h.

## scalar_type

typedef rep::scalar_type scalar_type

Definition at line 269 of file field_expr_terminal.h.

## float_type

typedef rep::float_type float_type

Definition at line 270 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_function() [1/3]

field_expr_v2_nonlinear_terminal_function | ( | const Function & | f | ) |

explicit

Definition at line 275 of file field_expr_terminal.h.

## field_expr_v2_nonlinear_terminal_function() [2/3]

field_expr_v2_nonlinear_terminal_function | ( | TrueFunction | f | ) |

explicit

Definition at line 280 of file field_expr_terminal.h.

## field_expr_v2_nonlinear_terminal_function() [3/3]

field_expr_v2_nonlinear_terminal_function | ( | const Constant & | c | ) |

explicit

Definition at line 285 of file field_expr_terminal.h.

## Member Function Documentation

## valued_tag()

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 290 of file field_expr_terminal.h.

## initialize() [1/2]

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 292 of file field_expr_terminal.h.

## initialize() [2/2]

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 297 of file field_expr_terminal.h.

## evaluate()

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< result_type, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 303 of file field_expr_terminal.h.

## evaluate_on_side()

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_L,
|  | const geo_element & | L,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< result_type, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 309 of file field_expr_terminal.h.

## valued_check()

bool valued_check | ( |  | ) | const

Definition at line 317 of file field_expr_terminal.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = rep::valued_hint

static

Definition at line 271 of file field_expr_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_terminal.h